# Polar Express

Polar Express is a Ruby gem that allows easy integration of the awesome [inuit.css](http://inuitcss.com/) framework into the Rails asset pipeline.

## Installation

Add the following line to your `Gemfile` then run the `bundle` command.

```
gem "polar-express", "~> 1.1.0"
```

To use the latest release of the gem from github add the following line to your `Gemfile` instead of the line above and run the `bundle` command to install the gem.

```
gem 'polar-express', :git => 'https://github.com/danielboggs/polar-express.git'
```

Use the included generator to create the necessary assets.

```
rails g inuitcss:install
```

This creates an `/app/assets/stylesheets/inuit.scss` file  which contains individual imports for all of Inuit's components along with an area to provide any necessary Inuit variable overrides (see Inuit documentation for details) so you can opt in for only the parts you need (the minimum requirements are uncommented by default).

## Additional Installation Notes

Once I have the gem installed and the assets generated I typically convert my `/app/assets/stylesheets/application.css` file to a `.scss` file, remove its contents and then manually import my Sass structure.

```
@import "inuit";

@import "main/base/*";
@import "main/mixins/*";
@import "main/components/*";
```
